"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = reduxUnhandledAction;
function reduxUnhandledAction() {
	return function (_ref) {
		var getState = _ref.getState;
		return function (next) {
			return function (action) {
				var prevState = getState();
				var result = next(action);
				var nextState = getState();
				if (prevState === nextState) {
					console.error("action with type " + action.type + " did not modify the data in any reducer." + "You may have mutated state directly or you may have a typo in your reducer");
				}
				return result;
			};
		};
	};
}